/*
 * MutableLinearScaler.java
 *
 * Created on July 24, 2006, 11:30 AM
 *
 */
package conversion;

/**
 *  DOCME.
 *
 *  @author gshute
 */
public class MutableLinearScaler
        extends LinearScaler {

  /**
   *  new MutableLinearScaler() returns a new MutableLinearScaler.
   */
  public MutableLinearScaler() {
  }  // public MutableLinearScaler()

  /**
   *  ls.setScale(val) adjusts ls to have zero point z and slope s.
   * @param z 
   * @param s 
   */
  public void setScale(double z, double s) {
    doSetScale(z, s);
  }

  /**
   *  ls.setScale(val) adjusts ls to have zero point z and to
   *  scale val to sval.
   * @param z 
   * @param val 
   * @param sval 
   */
  public void setScale(double z, double val, double sval) {
    doSetScale(z, val, sval);
  }

  /**
   *  ls.setScale(val) adjusts ls to scale val1 to sval1 and
   *  val2 to sval2.
   * @param val1 
   * @param sval1 
   * @param val2 
   * @param sval2 
   */
  public void setScale(double val1, double sval1, double val2, double sval2) {
    doSetScale(val1, sval1, val2, sval2);
  }

}  // public class MutableLinearScaler
