/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package conversion;

import java.util.HashMap;
import java.util.Map;

/**
 *
 * @author gshute
 */
public class NameSpace<T> {

  private NameSpace<T> parent;
  private Map<String, T> map;

  public NameSpace() {
    this(null);
  }

  public NameSpace(NameSpace<T> par) {
    parent = par;
    map = new HashMap<String, T>();
  }

  public void add(String nm, T val) {
    map.put(nm, val);
  }

  public T get(String nm) {
    T value = map.get(nm);
    if (value != null) {
      return value;
    }
    if (parent != null) {
      return parent.get(nm);
    }
    return null;
  }

}
