/*
 * NamedNamer.java
 *
 * Created on August 3, 2006, 6:01 AM
 *
 */
package conversion;

/**
 *  A NamedNamer names objects that implement the {@link Named}
 *  interface using their {@link Named#getName()} method.
 *
 *  @author gshute
 */
public class NamedNamer<T extends Named>
        implements Namer<T> {

  /**
   *  nn.getName(t) returns nn's name for t, which is the
   *  string returned by t's getName() method.
   * @param t the object to be named
   * @return t.getName()
   */
  public String getName(T t) {
    return t.getName();
  }

}  // public class NamedNamer<T extends Named>
