package gui;

import javax.swing.JComponent;

/**
 * A Viewable is an object that can supply a component for viewing.
 *
 * @author gshute
 */
public interface Viewable {

  /**
   * v.getViewComponent() returns the component for viewing v.
   * 
   * @return the view component
   */
  public JComponent getViewComponent();

}  // public interface Viewable
