package gui.multisource;

/**
 * A TextConsumer is a Strategy for dealing with text.
 */
public interface TextConsumer {

  /**
   * tc.consumeText(txt) consumes txt according to
   * the algorithm implemented in tc.
   * 
   * @param txt the text to be consumed
   */
  public void consumeText(String txt);

}  // public interface TextConsumer
