/*
 * HTMLView.java
 *
 * Created on August 6, 2006, 4:24 PM
 *
 */
package mvc;

import javax.swing.JComponent;
import javax.swing.JLabel;

/**
 *  DOCME.
 *
 *  @author gshute
 */
public class LabelView
        implements View<Object, Model<? extends Object>> {

  private JLabel editorPane;
  private Callback callback;
  private Model<? extends Object> model;

  /**
   *  DOCME.
   * @param m 
   */
  public LabelView(Model<? extends Object> m) {
    editorPane = new JLabel();
    callback = new Callback() {

      public void execute() {
        editorPane.setText(model.getValue().toString());
      }

    };
    setModel(m);
  }

  /**
   *  DOCME.
   * @return 
   */
  public JComponent getViewComponent() {
    return editorPane;
  }

  /**
   *  DOCME.
   * @param m 
   */
  public void setModel(Model<? extends Object> m) {
    if (model != null) {
      model.removeCallback(callback);
    }
    model = m;
    model.addCallback(callback);
    editorPane.setText(model.getValue().toString());
  }

} // public class HTMLView
