/*
 * RealSlider.java
 *
 * Created on August 8, 2006, 5:07 PM
 *
 */
package mvc;

import javax.swing.JComponent;
import javax.swing.JSlider;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;
import conversion.MutableLinearScaler;
import conversion.Scaler;

/**
 *  DOCME.
 *
 *  @author gshute
 */
public class RealSlider
        extends RealRange.Controller {

  private JSlider slider;
  private MutableLinearScaler scaler;

  /**
   *  DOCME.
   * @return 
   */
  protected JComponent createViewComponent() {
    slider = new JSlider();
    slider.addChangeListener(new ChangeListener() {

      public void stateChanged(ChangeEvent ev) {
        setModelValue();
      }

    });
    scaler = new MutableLinearScaler();
    return slider;
  }

  /**
   *  DOCME.
   * @param lo 
   * @param hi 
   */
  protected void setBounds(double lo, double hi) {
    scaler.setScale(slider.getMinimum(), lo, slider.getMaximum(), hi);
  }

  /**
   *  DOCME.
   * @return 
   */
  protected double getViewValue() {
    return scaler.scale(slider.getValue());
  }

  /**
   *  DOCME.
   * @param val 
   */
  protected void setViewValue(double val) {
    Scaler inverseScaler = scaler.getReverseScaler();
    slider.setValue((int) Math.round(inverseScaler.scale(val)));
  }

  /**
   *  DOCME.
   * @param m 
   */
  public RealSlider(RealRange.Model m) {
    super(m);
  }

}  // public class RealSlider
