/*
 * HTMLView.java
 *
 * Created on August 6, 2006, 4:24 PM
 *
 */
package mvc;

import javax.swing.JComponent;
import javax.swing.JTextArea;

/**
 *  DOCME.
 *
 *  @author gshute
 */
public class TextAreaView
        implements View<Object, Model<? extends Object>> {

  private JTextArea textArea;
  private Callback callback;
  private Model<? extends Object> model;

  /**
   *  DOCME.
   * @param m 
   */
  public TextAreaView(Model<? extends Object> m) {
    textArea = new JTextArea();
    callback = new Callback() {

      public void execute() {
        textArea.setText(model.getValue().toString());
      }

    };
    setModel(m);
  }

  /**
   *  DOCME.
   * @return 
   */
  public JComponent getViewComponent() {
    return textArea;
  }

  /**
   *  DOCME.
   * @param m 
   */
  public void setModel(Model<? extends Object> m) {
    if (model != null) {
      model.removeCallback(callback);
    }
    model = m;
    model.addCallback(callback);
    textArea.setText("" + model.getValue());
  }

} // public class HTMLView
