/*
 * Namer.java
 *
 * Created on July 26, 2006, 8:38 PM
 *
 */
package conversion;

/**
 *  A Namer<T> names objects of type T.
 *
 *  @author gshute
 */
public interface Namer<T> {

  /**
   *  nmr.getName(t) returns nmr's name for t.
   * @param t the object to be named
   * @return nmr's name for t
   */
  public String getName(T t);

}  // public interface Namer<T>
