/*
 * Callback.java
 *
 * Created on August 6, 2006, 4:24 PM
 *
 */
package mvc;

/**
 *  A Callback responds to changes in the value of a Model.
 * 
 *  @author gshute
 */
public interface Callback {

  /**
   *  cbk.execute() implements cbk's response to a change to the
   *  value in a model in which cbk is registered.
   */
  public void execute();

}  // public interface Callback

