/*
 * GlueFactory.java
 *
 * Created on December 29, 2006, 3:45 PM
 *
 */
package mvc;

import java.awt.Component;
import java.util.ArrayList;
import java.util.List;
import javax.swing.Box;

/**
 *  DOCME.
 *
 *  @author gshute
 */
public class GlueFactory {

  private List<Component> glues;
  private int glueCount;

  /**
   *  new GlueFactory() returns a new GlueFactory.
   */
  public GlueFactory() {
    glues = new ArrayList<Component>();
  }

  public Component createGlue() {
    if (glueCount >= glues.size()) {
      glues.add(Box.createHorizontalGlue());
    }
    return glues.get(glueCount++);
  }

  public void freeGlues() {
    glueCount = 0;
  }

}  // public class GlueFactory
