/*
 * IntegralSlider.java
 *
 * Created on August 8, 2006, 5:07 PM
 *
 */
package mvc;

import javax.swing.BoundedRangeModel;
import javax.swing.JComponent;
import javax.swing.JSlider;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;

/**
 *  DOCME.
 *
 *  @author gshute
 */
public class IntegralSlider
        extends IntegralRange.Controller {

  private JSlider slider;

  /**
   *  DOCME.
   * @return 
   */
  protected JComponent createViewComponent() {
    slider = new JSlider();
    slider.addChangeListener(new ChangeListener() {

      public void stateChanged(ChangeEvent ev) {
        setModelValue();
      }

    });
    return slider;
  }

  /**
   *  DOCME.
   * @param lo 
   * @param hi 
   */
  protected void setBounds(int lo, int hi) {
    BoundedRangeModel boundedRangeModel = slider.getModel();
    boundedRangeModel.setMinimum(lo);
    boundedRangeModel.setValue(lo);
    boundedRangeModel.setMaximum(hi);
  }

  /**
   *  DOCME.
   * @return 
   */
  protected int getViewValue() {
    return slider.getValue();
  }

  /**
   *  DOCME.
   * @param val 
   */
  protected void setViewValue(int val) {
    slider.setValue(val);
  }

  /**
   *  DOCME.
   * @param m 
   */
  public IntegralSlider(IntegralRange.Model m) {
    super(m);
  }

}  // public class IntegralSlider
