/*
 * Model.java
 *
 * Created on July 26, 2006, 10:49 AM
 *
 */
package mvc;

/**
 *  A Model<T> has a dynamic value of type T and provides a
 *  mechanism for notifying observers when that value changes.
 *
 *  @author gshute
 */
public interface Model<T>
        extends CallbackRegistry {

  /**
   *  m.getValue() returns the current value of m.
   * @return 
   */
  public T getValue();

}  // public interface NamedModel
