/*
 * NamedDirectModel.java
 *
 * Created on August 1, 2006, 10:33 PM
 *
 */
package mvc;

/**
 *  DOCME.
 *
 *  @author gshute
 */
public abstract class NamedDirectModel<T>
        extends DirectModel<T>
        implements NamedModel<T> {

  String name;

  /**
   *  This constructor is disabled.
   *  A NamedDirectModel must have a name.
   */
  private NamedDirectModel() {
  }

  /**
   *  new NamedDirectModel<T>(nm) returns a new NamedDirectModel<T>
   *  with name nm.
   * @param nm 
   */
  public NamedDirectModel(String nm) {
    name = nm;
  }

  /**
   *  m.getName() returns the name for m.
   * @return 
   */
  public String getName() {
    return name;
  }

}  // public class NamedDirectModel
