/*
 * ObjectNamer.java
 *
 * Created on August 6, 2006, 4:24 PM
 *
 */
package mvc;

import conversion.Namer;

/**
 *  A ObjectNamer names values of any type using the
 *  toString() method.
 * 
 *  @author gshute
 */
public class ObjectNamer
        implements Namer<Object> {

  /**
   *  nmr.getName(t) returns nmr's name for t, which is
   *  the string returned by t's toString() method.
   * @param t 
   * @return 
   */
  public String getName(Object t) {
    return t.toString();
  }

}  // public class ObjectNamer

