/*
 * View.java
 *
 * Created on July 26, 2006, 10:57 AM
 *
 */
package mvc;

import gui.Viewable;

/**
 *  DOCME.
 *
 *  @author gshute
 */
public interface View<T, TM extends Model<? extends T>>
        extends Viewable {

  /**
   *  vw.setModel(m) arranges for vw to view the value of m.
   *  Implementations of this interface will usually register
   *  a ModelObserver with m after unregistering with the
   *  previous model.
   * @param m 
   */
  public void setModel(TM m);

}  // public interface View
