/*
 * ViewableNamer.java
 *
 * Created on July 26, 2006, 10:08 PM
 *
 */
package mvc;

import gui.Viewable;
import conversion.Namer;

/**
 *  A ViewableNamer names Viewable objects using the
 *  getName() method of the object's view component.
 *
 *  @author gshute
 */
public class ViewableNamer
        implements Namer<Viewable> {

  /**
   *  new ViewableNamer() returns a new ViewableNamer.
   */
  public ViewableNamer() {
  }

  /**
   *  nmr.getName(t) returns nmr's name for t.
   * @param v 
   * @return 
   */
  public String getName(Viewable v) {
    return v.getViewComponent().getName();
  }

}  // public class ViewableNamer<T>
